const baseURL = 'http://test.lincq.cn'

export default config => {
	// config  = {
	// 		url: '/api.php',
	//		data: {},
	// 		method: 'post'
	//	}
	return new Promise((resolve, reject) => {
			uni.request(config).then(res => {
				resolve(res)
			}).catch(err => {
				reject(err)
			})
	})
}

uni.addInterceptor('request', {
  invoke(args) {
		// 请求拦截
    // request 触发前拼接 url
    args.url = baseURL+args.url
  },
  success(args) {
    // 响应拦截
    console.log('request-success', args)
		args.lincq = 1
  },
  fail(err) {
		// 错误拦截
    console.log('interceptor-fail',err)
		args.lincq = 2
  },
  complete(res) {
		// 成功或者失败 均可在这里处理
    console.log('interceptor-complete',res)
		// 移除拦截器
		// uni.removeInterceptor('request')
  }
})